%define upstream_name    HTML-Spelling-Site
%define upstream_version 0.0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Handles the whitelist file
License:    MIT
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(IO::All)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Hunspell)
BuildRequires: perl(autodie)
BuildRequires: perl(blib)
BuildRequires: perl(locale)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
HTML::Spelling::Site was created in order to consolidate and extract the
duplicate functionality for spell checking my web-sites. Currently
documentation is somewhat lacking and the modules could use some extra
automated tests, but I'm anxious to get something out the door.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.0.5-2pclos2017
- rebuild against updates

